import { __makeTemplateObject } from "tslib";
import { css } from "styled-components";
import { rgba } from "polished";
import { LIGHT_COLORS, DARK_COLORS } from "./Colors";
var borderLeft = function (color, size) {
    if (size === void 0) { size = 2; }
    return css(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  filter: drop-shadow(-", "px 0 ", ");\n"], ["\n  filter: drop-shadow(-", "px 0 ", ");\n"])), size, color);
};
var borderBottom = function (color, size) {
    if (size === void 0) { size = 2; }
    return css(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  filter: drop-shadow(0 ", "px 0 ", ");\n"], ["\n  filter: drop-shadow(0 ", "px 0 ", ");\n"])), size, color);
};
var borderRight = function (color, size) {
    if (size === void 0) { size = 2; }
    return css(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  filter: drop-shadow(", "px 0 0 ", ");\n"], ["\n  filter: drop-shadow(", "px 0 0 ", ");\n"])), size, color);
};
export var BORDERS_LIGHT = {
    bottom: {
        jotun: borderBottom(LIGHT_COLORS.jotunheim1),
        muspel: borderBottom(LIGHT_COLORS.muspelheim1),
        vana: borderBottom(LIGHT_COLORS.vanaheim1),
        mid: borderBottom(LIGHT_COLORS.midgard1)
    },
    left: {
        jotun: borderLeft(LIGHT_COLORS.jotunheim1),
        muspel: borderLeft(LIGHT_COLORS.muspelheim1),
        vana: borderLeft(LIGHT_COLORS.vanaheim1),
        mid: borderLeft(LIGHT_COLORS.midgard1)
    },
    right: {
        jotun: borderRight(LIGHT_COLORS.jotunheim1),
        muspel: borderRight(LIGHT_COLORS.muspelheim1),
        vana: borderRight(LIGHT_COLORS.vanaheim1),
        mid: borderRight(LIGHT_COLORS.midgard1)
    }
};
export var BORDERS_DARK = {
    bottom: {
        jotun: borderBottom(DARK_COLORS.jotunheim1),
        muspel: borderBottom(DARK_COLORS.muspelheim1),
        vana: borderBottom(DARK_COLORS.vanaheim1),
        mid: borderBottom(DARK_COLORS.midgard1)
    },
    left: {
        jotun: borderLeft(DARK_COLORS.jotunheim1),
        muspel: borderLeft(DARK_COLORS.muspelheim1),
        vana: borderLeft(DARK_COLORS.vanaheim1),
        mid: borderLeft(DARK_COLORS.midgard1)
    },
    right: {
        jotun: borderRight(DARK_COLORS.jotunheim1),
        muspel: borderRight(DARK_COLORS.muspelheim1),
        vana: borderRight(DARK_COLORS.vanaheim1),
        mid: borderRight(DARK_COLORS.midgard1)
    }
};
export var SHADOWS_LIGHT = {
    hp: {
        top: css(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n      box-shadow: 0 -8px 32px ", ";\n    "], ["\n      box-shadow: 0 -8px 32px ", ";\n    "])), rgba(LIGHT_COLORS.grayscale4, 0.6)),
        bottom: css(templateObject_5 || (templateObject_5 = __makeTemplateObject(["\n      box-shadow: 0 8px 32px ", ";\n    "], ["\n      box-shadow: 0 8px 32px ", ";\n    "])), rgba(LIGHT_COLORS.grayscale4, 0.6)),
        left: css(templateObject_6 || (templateObject_6 = __makeTemplateObject(["\n      box-shadow: -8px 0 32px ", ";\n    "], ["\n      box-shadow: -8px 0 32px ", ";\n    "])), rgba(LIGHT_COLORS.grayscale4, 0.6)),
        right: css(templateObject_7 || (templateObject_7 = __makeTemplateObject(["\n      box-shadow: 8px 0 32px ", ";\n    "], ["\n      box-shadow: 8px 0 32px ", ";\n    "])), rgba(LIGHT_COLORS.grayscale4, 0.6))
    },
    sp: {
        top: css(templateObject_8 || (templateObject_8 = __makeTemplateObject(["\n      box-shadow: 0px -2px 16px ", ";\n    "], ["\n      box-shadow: 0px -2px 16px ", ";\n    "])), rgba(LIGHT_COLORS.grayscale4, 0.6)),
        bottom: css(templateObject_9 || (templateObject_9 = __makeTemplateObject(["\n      box-shadow: 0 2px 16px ", ";\n    "], ["\n      box-shadow: 0 2px 16px ", ";\n    "])), rgba(LIGHT_COLORS.grayscale4, 0.6)),
        left: css(templateObject_10 || (templateObject_10 = __makeTemplateObject(["\n      box-shadow: -2px 0 16px ", ";\n    "], ["\n      box-shadow: -2px 0 16px ", ";\n    "])), rgba(LIGHT_COLORS.grayscale4, 0.6)),
        right: css(templateObject_11 || (templateObject_11 = __makeTemplateObject(["\n      box-shadow: 2px 0 16px ", ";\n    "], ["\n      box-shadow: 2px 0 16px ", ";\n    "])), rgba(LIGHT_COLORS.grayscale4, 0.6))
    },
    tp: {
        top: css(templateObject_12 || (templateObject_12 = __makeTemplateObject(["\n      filter: drop-shadow(0 -1px 4px ", ");\n    "], ["\n      filter: drop-shadow(0 -1px 4px ", ");\n    "])), rgba(LIGHT_COLORS.grayscale6, 0.8)),
        bottom: css(templateObject_13 || (templateObject_13 = __makeTemplateObject(["\n      filter: drop-shadow(0 -1px 4px ", ");\n    "], ["\n      filter: drop-shadow(0 -1px 4px ", ");\n    "])), rgba(LIGHT_COLORS.grayscale6, 0.8)),
        left: css(templateObject_14 || (templateObject_14 = __makeTemplateObject(["\n      filter: drop-shadow(-1px 0 4px ", ");\n    "], ["\n      filter: drop-shadow(-1px 0 4px ", ");\n    "])), rgba(LIGHT_COLORS.grayscale6, 0.8)),
        right: css(templateObject_15 || (templateObject_15 = __makeTemplateObject(["\n      filter: drop-shadow(1px 0 4px ", ");\n    "], ["\n      filter: drop-shadow(1px 0 4px ", ");\n    "])), rgba(LIGHT_COLORS.grayscale6, 0.8))
    }
};
export var SHADOWS_DARK = {
    hp: {
        top: css(templateObject_16 || (templateObject_16 = __makeTemplateObject(["\n      box-shadow: 0px -8px 32px ", ";\n    "], ["\n      box-shadow: 0px -8px 32px ", ";\n    "])), rgba(DARK_COLORS.grayscale0, 0.8)),
        bottom: css(templateObject_17 || (templateObject_17 = __makeTemplateObject(["\n      box-shadow: 0 8px 32px ", ";\n    "], ["\n      box-shadow: 0 8px 32px ", ";\n    "])), rgba(DARK_COLORS.grayscale0, 0.8)),
        left: css(templateObject_18 || (templateObject_18 = __makeTemplateObject(["\n      box-shadow: -8px 0 32px ", ";\n    "], ["\n      box-shadow: -8px 0 32px ", ";\n    "])), rgba(DARK_COLORS.grayscale0, 0.8)),
        right: css(templateObject_19 || (templateObject_19 = __makeTemplateObject(["\n      box-shadow: 8px 0 32px ", ";\n    "], ["\n      box-shadow: 8px 0 32px ", ";\n    "])), rgba(DARK_COLORS.grayscale0, 0.8))
    },
    sp: {
        top: css(templateObject_20 || (templateObject_20 = __makeTemplateObject(["\n      box-shadow: 0px -2px 16px ", ";\n    "], ["\n      box-shadow: 0px -2px 16px ", ";\n    "])), DARK_COLORS.grayscale0),
        bottom: css(templateObject_21 || (templateObject_21 = __makeTemplateObject(["\n      box-shadow: 0 2px 16px ", ";\n    "], ["\n      box-shadow: 0 2px 16px ", ";\n    "])), DARK_COLORS.grayscale0),
        left: css(templateObject_22 || (templateObject_22 = __makeTemplateObject(["\n      box-shadow: -2px 0 16px ", ";\n    "], ["\n      box-shadow: -2px 0 16px ", ";\n    "])), DARK_COLORS.grayscale0),
        right: css(templateObject_23 || (templateObject_23 = __makeTemplateObject(["\n      box-shadow: 2px 0 16px ", ";\n    "], ["\n      box-shadow: 2px 0 16px ", ";\n    "])), DARK_COLORS.grayscale0)
    },
    tp: {
        top: css(templateObject_24 || (templateObject_24 = __makeTemplateObject(["\n      filter: drop-shadow(0 -1px 4px ", ");\n    "], ["\n      filter: drop-shadow(0 -1px 4px ", ");\n    "])), DARK_COLORS.grayscale0),
        bottom: css(templateObject_25 || (templateObject_25 = __makeTemplateObject(["\n      filter: drop-shadow(0 -1px 4px ", ");\n    "], ["\n      filter: drop-shadow(0 -1px 4px ", ");\n    "])), DARK_COLORS.grayscale0),
        left: css(templateObject_26 || (templateObject_26 = __makeTemplateObject(["\n      filter: drop-shadow(-1px 0 4px ", ");\n    "], ["\n      filter: drop-shadow(-1px 0 4px ", ");\n    "])), DARK_COLORS.grayscale0),
        right: css(templateObject_27 || (templateObject_27 = __makeTemplateObject(["\n      filter: drop-shadow(1px 0 4px ", ");\n    "], ["\n      filter: drop-shadow(1px 0 4px ", ");\n    "])), DARK_COLORS.grayscale0)
    }
};
export var BLUR = {
    blbg1: css(templateObject_28 || (templateObject_28 = __makeTemplateObject(["\n    backdrop-filter: blur(4px);\n  "], ["\n    backdrop-filter: blur(4px);\n  "]))),
    blbg2: css(templateObject_29 || (templateObject_29 = __makeTemplateObject(["\n    backdrop-filter: blur(8px);\n  "], ["\n    backdrop-filter: blur(8px);\n  "])))
};
export var DIVIDERS_COLOR_LIGHT = {
    primary: LIGHT_COLORS.jotunheim1,
    secondary: LIGHT_COLORS.grayscale6
};
export var DIVIDERS_COLOR_DARK = {
    primary: DARK_COLORS.jotunheim1,
    secondary: DARK_COLORS.grayscale6
};
export var DIVIDERS_LIGHT = {
    primary: {
        top: css(templateObject_30 || (templateObject_30 = __makeTemplateObject(["\n      box-shadow: 0 -1px 0 ", ";\n    "], ["\n      box-shadow: 0 -1px 0 ", ";\n    "])), DIVIDERS_COLOR_LIGHT.primary),
        bottom: css(templateObject_31 || (templateObject_31 = __makeTemplateObject(["\n      box-shadow: 0 1px 0 ", ";\n    "], ["\n      box-shadow: 0 1px 0 ", ";\n    "])), DIVIDERS_COLOR_LIGHT.primary),
        left: css(templateObject_32 || (templateObject_32 = __makeTemplateObject(["\n      box-shadow: -1px 0 0 ", ";\n    "], ["\n      box-shadow: -1px 0 0 ", ";\n    "])), DIVIDERS_COLOR_LIGHT.primary),
        right: css(templateObject_33 || (templateObject_33 = __makeTemplateObject(["\n      box-shadow: 1px 0 0 ", ";\n    "], ["\n      box-shadow: 1px 0 0 ", ";\n    "])), DIVIDERS_COLOR_LIGHT.primary)
    },
    secondary: {
        top: css(templateObject_34 || (templateObject_34 = __makeTemplateObject(["\n      box-shadow: 0 -1px 0 ", ";\n    "], ["\n      box-shadow: 0 -1px 0 ", ";\n    "])), DIVIDERS_COLOR_LIGHT.secondary),
        bottom: css(templateObject_35 || (templateObject_35 = __makeTemplateObject(["\n      box-shadow: 0 1px 0 ", ";\n    "], ["\n      box-shadow: 0 1px 0 ", ";\n    "])), DIVIDERS_COLOR_LIGHT.secondary),
        left: css(templateObject_36 || (templateObject_36 = __makeTemplateObject(["\n      box-shadow: -1px 0 0 ", ";\n    "], ["\n      box-shadow: -1px 0 0 ", ";\n    "])), DIVIDERS_COLOR_LIGHT.secondary),
        right: css(templateObject_37 || (templateObject_37 = __makeTemplateObject(["\n      box-shadow: 1px 0 0 ", ";\n    "], ["\n      box-shadow: 1px 0 0 ", ";\n    "])), DIVIDERS_COLOR_LIGHT.secondary)
    }
};
export var DIVIDERS_DARK = {
    primary: {
        top: css(templateObject_38 || (templateObject_38 = __makeTemplateObject(["\n      box-shadow: 0 -1px 0 ", ";\n    "], ["\n      box-shadow: 0 -1px 0 ", ";\n    "])), DIVIDERS_COLOR_DARK.primary),
        bottom: css(templateObject_39 || (templateObject_39 = __makeTemplateObject(["\n      box-shadow: 0 1px 0 ", ";\n    "], ["\n      box-shadow: 0 1px 0 ", ";\n    "])), DIVIDERS_COLOR_DARK.primary),
        left: css(templateObject_40 || (templateObject_40 = __makeTemplateObject(["\n      box-shadow: -1px 0 0 ", ";\n    "], ["\n      box-shadow: -1px 0 0 ", ";\n    "])), DIVIDERS_COLOR_DARK.primary),
        right: css(templateObject_41 || (templateObject_41 = __makeTemplateObject(["\n      box-shadow: 1px 0 0 ", ";\n    "], ["\n      box-shadow: 1px 0 0 ", ";\n    "])), DIVIDERS_COLOR_DARK.primary)
    },
    secondary: {
        top: css(templateObject_42 || (templateObject_42 = __makeTemplateObject(["\n      box-shadow: 0 -1px 0 ", ";\n    "], ["\n      box-shadow: 0 -1px 0 ", ";\n    "])), DIVIDERS_COLOR_DARK.secondary),
        bottom: css(templateObject_43 || (templateObject_43 = __makeTemplateObject(["\n      box-shadow: 0 1px 0 ", ";\n    "], ["\n      box-shadow: 0 1px 0 ", ";\n    "])), DIVIDERS_COLOR_DARK.secondary),
        left: css(templateObject_44 || (templateObject_44 = __makeTemplateObject(["\n      box-shadow: -1px 0 0 ", ";\n    "], ["\n      box-shadow: -1px 0 0 ", ";\n    "])), DIVIDERS_COLOR_DARK.secondary),
        right: css(templateObject_45 || (templateObject_45 = __makeTemplateObject(["\n      box-shadow: 1px 0 0 ", ";\n    "], ["\n      box-shadow: 1px 0 0 ", ";\n    "])), DIVIDERS_COLOR_DARK.secondary)
    }
};
var templateObject_1, templateObject_2, templateObject_3, templateObject_4, templateObject_5, templateObject_6, templateObject_7, templateObject_8, templateObject_9, templateObject_10, templateObject_11, templateObject_12, templateObject_13, templateObject_14, templateObject_15, templateObject_16, templateObject_17, templateObject_18, templateObject_19, templateObject_20, templateObject_21, templateObject_22, templateObject_23, templateObject_24, templateObject_25, templateObject_26, templateObject_27, templateObject_28, templateObject_29, templateObject_30, templateObject_31, templateObject_32, templateObject_33, templateObject_34, templateObject_35, templateObject_36, templateObject_37, templateObject_38, templateObject_39, templateObject_40, templateObject_41, templateObject_42, templateObject_43, templateObject_44, templateObject_45;
